#include "WaylandInterface.h"

#include "Window.h"
#include "FileLogger.h"

#include "DesktopManager.h"

int main()
{
    FileLogger::GetInstance().Open();

    auto desktop_manager = DesktopManager::Create();

    auto window = desktop_manager->GetWindowManager()->GetMainWindow();
    window->SetSize(800, 600);

    WaylandInterface window_interface(desktop_manager.get());
    window_interface.setUseHardwareRendering(true);
    window_interface.initialize();

    window_interface.addWindow(window);

    window_interface.showWindow(window);

    window_interface.loop();

    window_interface.shutDown();
    return 0;
}
